# Uses of Class
org.bukkit.plugin.InvalidPluginException

Packages that use InvalidPluginException
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of InvalidPluginException in org.bukkit

Methods in org.bukkit that throw InvalidPluginException
Modifier and Type
Method
Description
`void`
UnsafeValues.`checkSupported(PluginDescriptionFile pdf)`
Deprecated.

## Uses of InvalidPluginException in org.bukkit.plugin

Methods in org.bukkit.plugin that throw InvalidPluginException
Modifier and Type
Method
Description
`@NotNull Plugin`
PluginLoader.`loadPlugin(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Loads the plugin contained in the specified file
`@Nullable Plugin`
PluginManager.`loadPlugin(@NotNull File file)`
Loads the plugin in the specified file
`@Nullable Plugin`
SimplePluginManager.`loadPlugin(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Loads the plugin in the specified file

## Uses of InvalidPluginException in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java that throw InvalidPluginException
Modifier and Type
Method
Description
`@NotNull Plugin`
JavaPluginLoader.`loadPlugin(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.